Subject: Re: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2017 09:04:30 +0200

> From: Ted Zlatanov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 09 Dec 2017 18:50:08 -0500
> 
> I've looked at the code and at the work that Michael has kindly done on
> connection-local variables and profiles.
> 
> Eli, first, I need to know if I can make large changes (introducing
> connection profiles to GnuTLS) this close to the release. If so, I'll
> work in emacs-26.
> 
> If we can't, I'll do this work for 26.2 and work in master.

Is everything you proposed strictly needed to fix the original
problem?  It sounds like a lot of changes just for having the
equivalent of '(setq gnutls-algorithm-priority "NORMAL:%DUMBFW")'
setting in effect.  E.g., could we simply make the above the default
value of gnutls-algorithm-priority for Emacs 26.1, and do all the rest
on master?

Previously, you said:

> I'd rather stay with the current defaults and defer the rest of the work
> to when connection-specific settings are available.

but you didn't explain why you didn't like changing the defaults.  If
that's because you thought it wasn't very clean, then would such a
change be okay just as a temporary measure, to be replaced by a
cleaner solution in Emacs 27?  Or can this default hurt something?

Thanks.